# $Revision: 1.23 $, $Date: 2005/10/14 23:11:49 $
Summary:	GNOME clone of Breakout the classic arcade game
Summary(pl):	GNOME klon klasycznej gry Breakout
Name:		gnome-breakout
Version:	0.5.2
Release:	6
License:	GPL
Group:		X11/Applications/Games
Source0:	http://users.senet.com.au/~alcaron/%{name}-%{version}.tar.gz
# Source0-md5:	3464e74aae8dce37da5336ed10ea6452
Source1:	%{name}.png
Patch0:		%{name}-desktop.patch
URL:		http://www.senet.com.au/~alcaron/software.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	imlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gamesdir	/var/games

%description
GNOME clone of Breakout the classic arcade game.

%description -l pl
GNOME klon klasycznej gry Breakout.

%prep
%setup -q
%patch0 -p1

%build
rm -rf missing
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Gamesdir=%{_desktopdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_gamesdir}/%{name}.scores ]; then
	touch %{_gamesdir}/%{name}.scores
	chown root:games %{_gamesdir}/%{name}.scores
	chmod 664 %{_gamesdir}/%{name}.scores
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(2755,root,games) %{_bindir}/gnome-breakout
%{_datadir}/gnome-breakout
%ghost %{_gamesdir}/gnome-breakout.scores
%{_pixmapsdir}/gnome-breakout.png
%{_desktopdir}/gnome-breakout.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-breakout.spec,v $
Revision 1.23  2005/10/14 23:11:49  ankry
- score file fix

Revision 1.22  2004/12/02 12:42:49  paladine
- added desktop patch
- sorted BRs
- rel 5 STBR for AC

Revision 1.21  2004/11/19 18:15:06  ankry
- rel. 4 to enable upgrade from Ra

Revision 1.20  2004/09/21 18:28:27  kolodko
- desktopdir

Revision 1.19  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.18  2003/06/17 08:13:49  ankry
- fixed src URL and md5

Revision 1.17  2003/05/28 12:59:00  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:48:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.14  2002/11/22 00:13:56  ankry
- desktop moved to Games/Arcade/; rel. 2

Revision 1.13  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.11  2002/05/21 23:13:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:26:05  arturs
fixed a small typo

Revision 1.9  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/08/12 18:32:47  blues
- 0.5.2
- ac 2.5 ready

Revision 1.5  2001/03/03 14:44:54  kloczek
- release 2: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.4  2001/02/06 04:45:48  kloczek
- spec completly rewrited in PLD style and updated to 0.5.

